package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreStrategy;

public interface TabStoreStrategyMapper {
    /**
     * 根据主键删除
     *
     * @param strategyId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer strategyId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreStrategy record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreStrategy record);

    /**
     * 根据主键查询
     *
     * @param strategyId 主键
     * @return 实体对象
     */
    TabStoreStrategy selectByPrimaryKey(Integer strategyId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreStrategy record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreStrategy record);
}